﻿using System.Collections.Generic;
using System.Xml.Serialization;

namespace Petzold.Phone.EBookReader
{
    public class PageInfo
    {
        public PageInfo()
        {
            this.Words = new List<WordInfo>();
        }

        [XmlAttribute(AttributeName = "PI")]
        public int ParagraphIndex { set; get; }

        [XmlAttribute(AttributeName = "CI")]
        public int CharacterIndex { set; get; }

        [XmlAttribute(AttributeName = "IL")]
        public bool IsLastPageInChapter { set; get; }

        [XmlAttribute(AttributeName = "IP")]
        public bool IsPaginated { set; get; }

        [XmlAttribute(AttributeName = "AC")]
        public int AccumulatedCharacterCount { set; get; }

        [XmlIgnore]
        public List<WordInfo> Words { set; get; }
    }
}
